#notes {
  align-items: center;
  display: flex;
  flex-direction: column;
  padding: 0 0 48px 0;
  width: 100%;
}

#notes:not( :has( header ) ) {
  padding: 32px 0 48px 0;
}

#notes > div {
  display: grid;
  grid-template-columns: repeat( 3, 1fr );
  grid-column-gap: 16px;
  grid-row-gap: 32px;  
  max-width: 900px;
  width: 80%;
}

#notes > div > a {
  text-decoration: none;
  transition: transform 0.25s ease;
}

#notes > div > a:hover {
  transform: scale( 1.03 );
}

#notes h2 {
  color: #1a1a1a;
  cursor: default;
  flex-basis: 0;
  flex-grow: 1;
  font-family: Roboto, sans-serif;
  font-size: 32px;
  font-weight: 600;
  line-height: 32px;
  margin: 0;
  padding: 0;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;          
}

#notes header {
  align-items: center;
  display: flex;
  flex-direction: row;
  max-width: 900px;
  padding: 0 0 48px 0;
  width: 80%;  
}

#notes header a {
  align-items: center;
  color: #3B82F6;
  cursor: pointer;
  display: flex;
  flex-direction: row;
  font-family: Roboto, sans-serif;
  font-size: 16px;
  font-weight: 400;
  gap: 8px;
  line-height: 24px;
  margin: 0;
  padding: 0;
  text-decoration: none;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;            
}

#notes header a:hover {
  text-decoration: underline;
}

#notes article {
  cursor: pointer;
  display: flex;
  flex-direction: column;
  gap: 8px;
  height: 100%;
  transition: transform 0.25s ease;
}

#notes article > div {
  align-items: center;
  display: flex;
  flex-direction: row;
  gap: 8px;
}

#notes article > div aside {
  align-items: center;
  display: flex;
  flex-direction: row;
  gap: 8px;
  margin: 0 0 0 auto;  
  opacity: 0.50;
  padding: 0 8px 0 0;
}

#notes article > div time {
  color: #1a1a1a;
  cursor: pointer;
  font-family: Roboto, sans-serif;
  font-size: 16px;
  line-height: 24px;
  opacity: 0.80;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;   
}

#notes article footer {
  border-top: solid 1px #00000020;
  display: flex;
  flex-direction: row;
  gap: 8px;
  justify-content: flex-end;
  opacity: 0.60;
  padding: 0 4px 0 0;
}

#notes article img {
  border-radius: 32px;
  height: 32px;
  width: 32px;
}

#notes article p {
  color: #1a1a1a;
  cursor: pointer;
  font-family: Roboto, sans-serif;
  font-size: 16px;
  line-height: 24px;
  margin: 0 0 auto 0;
  padding: 0;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased; 
}

#notes kh-avatar {
  filter: saturate( 88% ) contrast( 95% );
  transition: filter 0.25s ease;
}

#notes > div > a:hover kh-avatar {
  filter: saturate( 100% ) contrast( 100% );
}

/*
#notes {
  align-items: center;
  display: flex;
  flex-direction: column;
  padding: 32px 0 48px 0;
  width: 100%;
}

#notes article {
  align-items: flex-start;
  border-bottom: solid 1px #00000010;
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  gap: 12px;
  justify-content: center;
  padding: 16px 16px 0 16px;
  max-width: 600px;
  width: 600px;
}

#notes article:last-of-type {
  border-bottom: none;
}

#notes article header {
  display: flex;
  flex-direction: row;
  gap: 12px;  
  padding-bottom: 2px;
}

#notes article header p {
  font-family: Roboto, sans-serif;  
  font-size: 16px;
  line-height: 20px;
  margin: 0;
  padding: 0;  
}

#notes article header p:first-of-type {
  font-weight: 700;
}

#notes article header p:last-of-type {
  opacity: 0.60;
}

#notes article > img {
  border-radius: 40px;
  height: 40px;
  width: 40px;
}

#notes article p a {
  color: #26a8ed;
  text-decoration: none;      
}

#notes article p a:hover {
  text-decoration: underline;
}

#notes article div > p:last-child:not(:has(img)) {
  margin-bottom: 12px;
}

#notes article div p:has(img) {
  margin-bottom: 12px;
  margin-top: 12px;
}

#notes article div pre {
  border-radius: 16px;
  margin-bottom: 12px;
  margin-top: 12px;
}

#notes article div img {
  border: solid 1px #00000020;  
  border-radius: 16px;
  display: block;
  height: auto;
  max-height: 450px;
  max-width: 100%;
  width: auto;
}

#notes article div p {
  font-family: Roboto, sans-serif;  
  font-size: 16px;
  line-height: 24px;
  margin: 0;
  padding: 0;  
}
*/

/*
article header {
  align-items: center;
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  gap: 8px;
  padding: 0;
}

article header p {
  box-sizing: border-box;
  font-family: Roboto, sans-serif;  
  font-size: 16px;
  line-height: 24px;
  margin: 0;
  padding: 0;
}

article header p:first-of-type {
  font-weight: 700;
}

article header p:last-of-type {
  color: rgb( 83, 100, 113 );  
}

main article > img {
  border-radius: 40px;
  height: 40px;
  width: 40px;
}

article p {
  margin: 0 0 12px 0;
  padding: 0;
}

article p:has( img ) {
  align-items: center;
  display: flex;
  justify-content: center;
  margin: 0;
  padding: 0;
} 

article p img {
  border: solid 1px #ced9de;
  border-radius: 10px;
  max-height: 600px;
  max-width: 600px;
}

article {
  font-family: Roboto, sans-serif;
  font-size: 16px;
  line-height: 24px;  
}
*/
